import java.util.Arrays;

public class ArrayEqualsDemo
{
  public static void main( String[] args )
  {
    int[][] a1 = { { 0, 1 }, { 1, 0 } };
    int[][] a2 = { { 0, 1 }, { 1, 0 } };

    System.out.println( Arrays.equals( a1, a2 ) );    // false
    System.out.println( Arrays.deepEquals( a1, a2 ) );// true
    
    System.out.println( a1[0] );  // zb. [I@10b62c9
    System.out.println( a2[0] );  // zb. [I@82ba41

    Object[] b1 = { "1", "2", "3" };
    Object[] b2 = { "1", "2", "3" };
    System.out.println( Arrays.deepEquals( b1, b2 ) ); // true
  }
}
